Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild
Interface RemoteService

public interface RemoteService

QuickBuild remote interface

Author:
  robin shine

Method Summary
`void` | `backupDatabase(BackupSettingFacade backupSetting)` Backup database based on specified setting.
`void` | `createLabelOnBuild(java.lang.Long buildId, java.lang.String labelName)` Create a label on specified build.
`void` | `deleteBuild(java.lang.Long buildId)` Delete specified build
`void` | `deleteConfiguration(java.lang.Long configurationId)` Delete specified configuration.
`void` | `deleteConfigurationAuthorization(java.lang.Long configurationAuthorizationId)` Delete specified configuration authorization.
`void` | `deleteGroup(java.lang.Long groupId)` Delete specified group.
`void` | `deleteUser(java.lang.Long userId)` Delete user with specified identifier.
`void` | `deleteUserGroupRelation(java.lang.Long userGroupRelationId)` Delete specified user group relation.
`BuildFacade` | `getBuildById(java.lang.Long buildId)` Get build by specified identifier.
`BuildFacade` | `getBuildByLabel(java.lang.Long configurationId, java.lang.String labelName)` Get build by specified label inside specified configuration.
`BuildFacade` | `getBuildByVersion(java.lang.Long configurationId, java.lang.String buildVersion)` Get specified build from specified configuration.
`BuildRelatedUrls` | `getBuildRelatedUrls(java.lang.Long buildId)` Get build related urls, such as build log url, revision log url, build artifact root url.
`java.util.List` | `getChildConfigurations(java.lang.Long configurationId)` Get child configurations of specified configuration.
`java.util.List` | `getConfigurationAuthorizationsByConfiguration(java.lang.Long configurationId)` Get list of configuration authorizations by specified configuration.
`java.util.List` | `getConfigurationAuthorizationsByGroup(java.lang.Long groupId)` Get list of configuration authorizations by specified group.
`ConfigurationFacade` | `getConfigurationByHierarchyName(java.lang.String configurationHierarchyName)` Get configuration by specified hierarchy name
`ConfigurationFacade` | `getConfigurationById(java.lang.Long configurationId)` Get configuration by identifier
`ConfigurationFacade` | `getConfigurationByName(java.lang.Long parentId, java.lang.String name)` Get configuration by specified parent and name.
`java.lang.String` | `getConfigurationHierarchyName(java.lang.Long configurationId)` Get hierarchy name of specified configuration.
`ConfigurationRelatedUrls` | `getConfigurationRelatedUrls(java.lang.Long configurationId)` Get configuration related urls such as configuration log url.
`java.util.List` | `getConfigurations()` Get all configurations accessible by current user in the system.
`GroupFacade` | `getGroupById(java.lang.Long groupId)` Get group by identifier.
`GroupFacade` | `getGroupByName(java.lang.String groupName)` Get group by name
`java.util.List` | `getGroups()` Get all groups in the system.
`java.util.List` | `getHistoryBuilds(java.lang.Long configurationId)` Get list of history builds for specified configuration
`java.lang.String` | `getInstallDir()` Get installation directory.
`BuildFacade` | `getLastBuild(java.lang.Long configurationId)` Get last build from specified configuration.
`BuildFacade` | `getLastSuccessBuild(java.lang.Long configurationId)` Get last successful build from specified configuration.
`BuildFacade` | `getLatestBuild(java.lang.Long configurationId)` Get latest build from specified configuration.
`java.util.List` | `getSystemQueues()` Get list of system queues.
`SystemSettingFacade` | `getSystemSetting()` Get system settings.
`UserFacade` | `getUserById(java.lang.Long userId)` Get user by identifier.
`UserFacade` | `getUserByName(java.lang.String userName)` Get user by name.
`java.util.List` | `getUserGroupRelationsByGroup(java.lang.Long groupId)` Get list of user group relations for specified group.
`java.util.List` | `getUserGroupRelationsByUser(java.lang.Long userId)` Get list of user group relations for specified user.
`java.util.List` | `getUsers()` Get all users in the system.
`boolean` | `isLooping(java.lang.Long configurationId, java.util.List traversedConfigurationGuids)` Check if there is a looping dependency.
`java.lang.Long` | `saveConfiguration(ConfigurationFacade configuration)` Create a new configuration or save a existing configuration.
`java.lang.Long` | `saveConfigurationAuthorization(ConfigurationAuthorizationFacade configurationAuthorization)` Create new configuration authroziation or save existing configuration authorization.
`java.lang.Long` | `saveGroup(GroupFacade group)` Create a new group or saving a existing group.
`void` | `saveSystemQueues(java.util.List systemQueues)` Save system queues.
`void` | `saveSystemSetting(SystemSettingFacade systemSetting)` Save system settings.
`java.lang.Long` | `saveUser(UserFacade user)` Create a new user or save existing user.
`java.lang.Long` | `saveUserGroupRelation(UserGroupRelationFacade userGroupRelation)` Create new user group relation or save existing user group relation.
`void` | `stopConfiguration(java.lang.Long configurationId)` Stop running of specified configuration.
`void` | `triggerBuild(java.lang.Long configurationId, BuildSettingFacade buildSetting)` Trigger build in specified configuration with specified build settings.
`BuildFacade` | `triggerDependent(java.lang.Long configurationId, DependentContext dependentContext)` Trigger dependent build in specified configuration with specified triggering context.

Method Detail

### getConfigurations

    public java.util.List getConfigurations()

  Get all configurations accessible by current user in the system.

  Returns:
    list of configurations. List element is of type `ConfigurationFacade`

### getChildConfigurations

    public java.util.List getChildConfigurations(java.lang.Long configurationId)

  Get child configurations of specified configuration.

  Parameters:
    `configurationId` - identifier of parent configuration.
  Returns:
    list of child configurations. List element is of type `ConfigurationFacade`

### getConfigurationByHierarchyName

    public ConfigurationFacade getConfigurationByHierarchyName(java.lang.String configurationHierarchyName)

  Get configuration by specified hierarchy name

  Parameters:
    `configurationHierarchyName` - specify configuration hierarchy name
  Returns:
    null if not exist

### getConfigurationById

    public ConfigurationFacade getConfigurationById(java.lang.Long configurationId)

  Get configuration by identifier

  Parameters:
    `configurationId` -
  Returns:

### getConfigurationByName

    public ConfigurationFacade getConfigurationByName(java.lang.Long parentId,
                                                      java.lang.String name)

  Get configuration by specified parent and name.

  Parameters:
    `parentId` - identifier of the parent configuration
    `name` - name of the configuration
  Returns:
    null if not exist

### stopConfiguration

    public void stopConfiguration(java.lang.Long configurationId)

  Stop running of specified configuration.

  Parameters:
    `configurationId` -

### triggerBuild

    public void triggerBuild(java.lang.Long configurationId,
                             BuildSettingFacade buildSetting)

  Trigger build in specified configuration with specified build settings.

  Parameters:
    `configurationId` - specify identifier of the configuration.
    `buildSetting` - specify build settings

### triggerDependent

    public BuildFacade triggerDependent(java.lang.Long configurationId,
                                        DependentContext dependentContext)

  Trigger dependent build in specified configuration with specified triggering context. Used by QuickBuild itself to implement remote dependent build.

  Parameters:
    `configurationId` - specify configuration identifier.
    `dependentContext` - specify dependent context
  Returns:
    should not be null

### getLatestBuild

    public BuildFacade getLatestBuild(java.lang.Long configurationId)

  Get latest build from specified configuration. Latest build is the most recent build, the status may be successful, failed, or running.

  Parameters:
    `configurationId` - specify configuration identifier.
  Returns:
    null if latest build does not exist

### getLastBuild

    public BuildFacade getLastBuild(java.lang.Long configurationId)

  Get last build from specified configuration. Last build means the latest finished build. The status should only be successful or failed.

  Parameters:
    `configurationId` - specify configuration identifier.
  Returns:
    null if last build does not exist

### getLastSuccessBuild

    public BuildFacade getLastSuccessBuild(java.lang.Long configurationId)

  Get last successful build from specified configuration.

  Parameters:
    `configurationId` - specify configuration identifier.
  Returns:
    null if last successful build does not exist

### getBuildByVersion

    public BuildFacade getBuildByVersion(java.lang.Long configurationId,
                                         java.lang.String buildVersion)

  Get specified build from specified configuration.

  Parameters:
    `configurationId` - specify configuration.
    `buildVersion` - specify build version
  Returns:
    null if specified build version not exist

### getBuildById

    public BuildFacade getBuildById(java.lang.Long buildId)

  Get build by specified identifier.

  Parameters:
    `buildId` -
  Returns:
  Throws:
    `QuickBuildRemoteException` - if build of specified identifier does not exist

### getHistoryBuilds

    public java.util.List getHistoryBuilds(java.lang.Long configurationId)

  Get list of history builds for specified configuration

  Parameters:
    `configurationId` -
  Returns:
    list of builds, with element type be `BuildFacade`

### getBuildByLabel

    public BuildFacade getBuildByLabel(java.lang.Long configurationId,
                                       java.lang.String labelName)

  Get build by specified label inside specified configuration.

  Parameters:
    `configurationId` - specify configuration identifier this label belongs to.
    `labelName` - specify the label name
  Returns:
    null if specified build label does not exist

### createLabelOnBuild

    public void createLabelOnBuild(java.lang.Long buildId,
                                   java.lang.String labelName)

  Create a label on specified build.

  Parameters:
    `buildId` - specify identifier of the build.
    `labelName` - specify the label name

### isLooping

    public boolean isLooping(java.lang.Long configurationId,
                             java.util.List traversedConfigurationGuids)

  Check if there is a looping dependency. Used by QuickBuild itself to implement remote dependent build.

  Parameters:
    `configurationId` - configuration identifier to start with the looping checking.
    `traversedConfigurationGuids` - configuration guids traversed
  Returns:

### saveConfiguration

    public java.lang.Long saveConfiguration(ConfigurationFacade configuration)

  Create a new configuration or save a existing configuration.

  Parameters:
    `configuration` - if `ConfigurationFacade.getId()` is null, then create a new configuration; otherwise, save existing configuration.
  Returns:
    identifier of saved configuration

### deleteConfiguration

    public void deleteConfiguration(java.lang.Long configurationId)

  Delete specified configuration.

  Parameters:
    `configurationId` - identifier of the configuration to delete.

### deleteBuild

    public void deleteBuild(java.lang.Long buildId)

  Delete specified build

  Parameters:
    `buildId` - identifier of the build to delete.

### getGroupByName

    public GroupFacade getGroupByName(java.lang.String groupName)

  Get group by name

  Parameters:
    `groupName` -
  Returns:
    null if not exist.

### getGroupById

    public GroupFacade getGroupById(java.lang.Long groupId)

  Get group by identifier.

  Parameters:
    `groupId` -
  Returns:

### saveGroup

    public java.lang.Long saveGroup(GroupFacade group)

  Create a new group or saving a existing group. Can only be accessed by administrator.

  Parameters:
    `group` - if `GroupFacade.getId()` is null, then create a new group; otherwise save existing group.
  Returns:
    identifier of saved group.

### deleteGroup

    public void deleteGroup(java.lang.Long groupId)

  Delete specified group. Can only be accessed by adminsitrator.

  Parameters:
    `groupId` - identifier of the group to delete.

### getUserByName

    public UserFacade getUserByName(java.lang.String userName)

  Get user by name.

  Parameters:
    `userName` -
  Returns:
    null if not exist.

### getUserById

    public UserFacade getUserById(java.lang.Long userId)

  Get user by identifier.

  Parameters:
    `userId` -
  Returns:
    null if not exist.

### saveUser

    public java.lang.Long saveUser(UserFacade user)

  Create a new user or save existing user. If create

  Parameters:
    `user` - if `UserFacade.getId()` is null, then create a new user; otherwise, save existing user.
  Returns:
    identifier of saved user.

### deleteUser

    public void deleteUser(java.lang.Long userId)

  Delete user with specified identifier. Can only accessed by administrator.

  Parameters:
    `userId` -

### getUserGroupRelationsByUser

    public java.util.List getUserGroupRelationsByUser(java.lang.Long userId)

  Get list of user group relations for specified user.

  Parameters:
    `userId` -
  Returns:
    list of user group relations. List element is of type `UserGroupRelationFacade`

### getUserGroupRelationsByGroup

    public java.util.List getUserGroupRelationsByGroup(java.lang.Long groupId)

  Get list of user group relations for specified group.

  Parameters:
    `groupId` -
  Returns:
    list of user group relations, with element type be `UserGroupRelationFacade`

### saveUserGroupRelation

    public java.lang.Long saveUserGroupRelation(UserGroupRelationFacade userGroupRelation)

  Create new user group relation or save existing user group relation.

  Parameters:
    `userGroupRelation` - if `UserGroupRelationFacade.getId()` is null, then create new user group relation; otherwise, save existing user group relation.
  Returns:
    identifier of saved user group relation

### deleteUserGroupRelation

    public void deleteUserGroupRelation(java.lang.Long userGroupRelationId)

  Delete specified user group relation.

  Parameters:
    `userGroupRelationId` -

### getConfigurationAuthorizationsByConfiguration

    public java.util.List getConfigurationAuthorizationsByConfiguration(java.lang.Long configurationId)

  Get list of configuration authorizations by specified configuration.

  Parameters:
    `configurationId` -
  Returns:
    list of configuration authorizations, with element type be `ConfigurationAuthorizationFacade`

### getConfigurationAuthorizationsByGroup

    public java.util.List getConfigurationAuthorizationsByGroup(java.lang.Long groupId)

  Get list of configuration authorizations by specified group.

  Parameters:
    `groupId` -
  Returns:
    list of configuration authorizations, with element type be `ConfigurationAuthorizationFacade`

### saveConfigurationAuthorization

    public java.lang.Long saveConfigurationAuthorization(ConfigurationAuthorizationFacade configurationAuthorization)

  Create new configuration authroziation or save existing configuration authorization.

  Parameters:
    `configurationAuthorization` - if `ConfigurationAuthorizationFacade.getId()` is null, then create new configuration authorization; otherwise, save existing configuration authorization.
  Returns:
    identifier of saved configuration authorization

### deleteConfigurationAuthorization

    public void deleteConfigurationAuthorization(java.lang.Long configurationAuthorizationId)

  Delete specified configuration authorization.

  Parameters:
    `configurationAuthorizationId` -

### getSystemSetting

    public SystemSettingFacade getSystemSetting()

  Get system settings.

  Returns:

### saveSystemSetting

    public void saveSystemSetting(SystemSettingFacade systemSetting)

  Save system settings. Can only accessed by administrator.

  Parameters:
    `systemSetting` -

### getSystemQueues

    public java.util.List getSystemQueues()

  Get list of system queues.

  Returns:
    list of system queues, with element type be `QueueFacade`

### saveSystemQueues

    public void saveSystemQueues(java.util.List systemQueues)

  Save system queues. Can only accessed by administrator.

  Parameters:
    `systemQueues` - list of system queus, with element type be `QueueFacade`

### getInstallDir

    public java.lang.String getInstallDir()

  Get installation directory.

  Returns:

### getConfigurationRelatedUrls

    public ConfigurationRelatedUrls getConfigurationRelatedUrls(java.lang.Long configurationId)

  Get configuration related urls such as configuration log url.

  Parameters:
    `configurationId` -
  Returns:

### getBuildRelatedUrls

    public BuildRelatedUrls getBuildRelatedUrls(java.lang.Long buildId)

  Get build related urls, such as build log url, revision log url, build artifact root url.

  Parameters:
    `buildId` -
  Returns:

### getUsers

    public java.util.List getUsers()

  Get all users in the system.

  Returns:
    list of users with element type be `UserFacade`

### getGroups

    public java.util.List getGroups()

  Get all groups in the system.

  Returns:
    list of groups with element type be `GroupFacade`

### backupDatabase

    public void backupDatabase(BackupSettingFacade backupSetting)

  Backup database based on specified setting.

  Parameters:
    `backupSetting` -

### getConfigurationHierarchyName

    public java.lang.String getConfigurationHierarchyName(java.lang.Long configurationId)

  Get hierarchy name of specified configuration.

  Parameters:
    `configurationId` - identifier of the configuration
  Returns:
    hierarchy name of specified configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.